// SWIG file DistributionFactory.i
// Author : $LastChangedBy: schueller $
// Date : $LastChangedDate: 2012-01-02 11:44:01 +0100 (Mon, 02 Jan 2012) $
// Id : $Id: DistributionFactory.i 2287 2012-01-02 10:44:01Z schueller $

%{
#include "DistributionFactory.hxx"

namespace OT { 

  template <>
  struct traitsPythonType<OT::DistributionFactory>
  {
    typedef _PyObject_ Type;
  };

  template <>
  inline
  OT::DistributionFactory
  convert<_PyObject_,OT::DistributionFactory>(PyObject * pyObj)
  {
    void * ptr = 0;
    if ( !SWIG_IsOK(SWIG_ConvertPtr( pyObj, &ptr, SWIG_TypeQuery("OT::DistributionImplementationFactory *"), 0 |  0 )))
      throw OT::InvalidArgumentException(HERE) << "Object passed as argument is neither a DistributionImplementationFactory nor an object convertible to a DistributionImplementationFactory";

    OT::DistributionImplementationFactory * p_dif = reinterpret_cast< OT::DistributionImplementationFactory * >( ptr );
      return *p_dif;
  }


} /* namespace OT */

%}

%template(DistributionImplementationFactoryTypedInterfaceObject)           OT::TypedInterfaceObject<OT::DistributionImplementationFactory>;
%include DistributionFactory.hxx

namespace OT {  

%extend DistributionFactory {

DistributionFactory(const DistributionFactory & other) { return new OT::DistributionFactory(other); }

}
}
