// SWIG file OTtypes.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2011-11-17 13:46:13 +0100 (Thu, 17 Nov 2011) $
// Id : $Id: OTtypes.i 2192 2011-11-17 12:46:13Z dutka $

%module types

%include std_string.i
%include std_map.i
%include std_complex.i

%include OT.hxx
%include OTtypes.hxx
%include OTdebug.h

%{
#include "OT.hxx"
#include "PythonWrappingFunctions.hxx"
%}


%typemap(in) NumericalScalar {
  $1 = PyFloat_AsDouble($input);
}

%typemap(in) NumericalComplex {
  $1 = Complex(PyFloat_AsDouble($input.real()), PyFloat_AsDouble($input.imag()));
}

%typemap(out) NumericalComplex {
    $result = complex(PyFloat_FromDouble($1.real()), PyFloat_FromDouble($1.imag()));
}



%ignore *::clone() const;
%ignore *::load(Advocate & adv);
%ignore *::save(Advocate & adv) const;
%ignore *::save(StorageManager & mgr, const String & label, bool fromStudy) const;
%ignore *::save(StorageManager & mgr, const String & label) const;
%ignore *::save(StorageManager & mgr, bool fromStudy) const;
%ignore *::save(StorageManager & mgr) const;
