// SWIG file UniVariatePolynomial.i
// Author : $LastChangedBy: schueller $
// Date : $LastChangedDate: 2012-01-02 11:44:01 +0100 (Mon, 02 Jan 2012) $
// Id : $Id: UniVariatePolynomial.i 2287 2012-01-02 10:44:01Z schueller $

%{
#include "UniVariatePolynomial.hxx"

namespace OT { 

  template <>
  struct traitsPythonType<OT::UniVariatePolynomial>
  {
    typedef _PySequence_ Type;
  };


  template <>
  inline
  OT::UniVariatePolynomial
  convert<_PySequence_,OT::UniVariatePolynomial>(PyObject * pyObj)
  {
    return OT::convert<OT::_PySequence_,OT::NumericalPoint>(pyObj);
  }

} /* namespace OT */

%}

%template(UniVariatePolynomialImplementationTypedInterfaceObject)           OT::TypedInterfaceObject<OT::UniVariatePolynomialImplementation>;

%typemap(in) const OT::UniVariatePolynomial & {
  if (! SWIG_IsOK((SWIG_ConvertPtr($input, (void **) &$1, $1_descriptor, 0)))) {
    const OT::UniVariatePolynomialImplementation * temp;
    if (! SWIG_IsOK(SWIG_ConvertPtr($input, (void **) &temp, SWIGTYPE_p_OT__UniVariatePolynomialImplementation, 0))) {
      return NULL;
    }
    $1 = new OT::UniVariatePolynomial( *temp );
  }
}

%typemap(typecheck,precedence=SWIG_TYPECHECK_POINTER) const OT::UniVariatePolynomial & {
  const OT::UniVariatePolynomialImplementation * temp;
  $1 = SWIG_IsOK(SWIG_ConvertPtr($input, NULL, $1_descriptor, 0)) || SWIG_IsOK(SWIG_ConvertPtr($input, (void **) &temp, SWIGTYPE_p_OT__UniVariatePolynomialImplementation, 0));
}

%include UniVariatePolynomial.hxx
namespace OT {  

%extend UniVariatePolynomial {

UniVariatePolynomial(const UniVariatePolynomial & other) { return new OT::UniVariatePolynomial(other); }

UniVariatePolynomial(PyObject * pyObj)
{
 return new OT::UniVariatePolynomial( OT::convert<OT::_PySequence_,OT::NumericalPoint>(pyObj) );
}

}

}
