// SWIG file common_module.i
// Author : $LastChangedBy: schueller $
// Date : $LastChangedDate: 2011-07-06 12:03:57 +0200 (Wed, 06 Jul 2011) $
// Id : $Id: common_module.i 1991 2011-07-06 10:03:57Z schueller $

%module(package="openturns", docstring="Utility classes.") common
%feature("autodoc","1");

%{
#include "OTconfig.hxx"
#include "OTCommon.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

/* Base/Common */
%include Memory.i
%include Object.i
%include PersistentObject.i
%include SharedPointer.i
%include Pointer.i
%include InterfaceObject.i
%include TypedInterfaceObject.i
%include TypedCollectionInterfaceObject.i
%include Study.i
%include StorageManager.i
//%include BinaryStorageManager.i
%include XMLStorageManager.i
%include Log.i
%include Path.i
%include ResourceMap.i
%include ComparisonOperatorImplementation.i
%include ComparisonOperator.i
%include Equal.i
%include Greater.i
%include GreaterOrEqual.i
%include Less.i
%include LessOrEqual.i
%include Threadable.i
%include PlatformInfo.i
%include MPI.i
%include TTY.i


/* At last we include template definitions */
%include BaseCommonTemplateDefs.i
