// SWIG file stattests_module.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2011-11-17 13:46:13 +0100 (Thu, 17 Nov 2011) $
// Id : $Id: stattests_module.i 2192 2011-11-17 12:46:13Z dutka $

%module(package="openturns", docstring="Statistical tests.") stattests
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTconfig.hxx"
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTDistribution.hxx"
#include "OTStatTests.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import common_module.i
%import typ_module.i
%include TestResult.i
%import base_module.i

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import model_copula_module.i
%import UncertaintyModelCopulaTemplateDefs.i

/* Uncertainty/StatTests */
%include VisualTest.i
%include FittingTest.i
%include HypothesisTest.i
%include LinearModelTest.i
%include NormalityTest.i

/* At last we include template definitions */
%include UncertaintyStatTestsTemplateDefs.i
